#ifndef METACHOP_PARSER
#define METACHOP_PARSER

extern char * parseLanguage;
#include "decmetac.h"
                


#ifdef __cplusplus
#include "chopb.h"
typedef int (pretty::** _FUNC_MEMB_METACHOP) ();
class metachop: public chopb,public virtual Parser {
    public :
    
    static int init ; 
    
    metachop () {
        ptTokenArray = _tokenArray;
        ptTokenFuncArray =(_FUNC_MEMB_METACHOP) _tokenFuncArray;
        ptTokenNbFuncArray = _tokenNbFuncArray;
        InitConst ();
        
    }
    
    ~metachop () {}
    
    virtual void AsLanguage () { SwitchLang("metachop");}
    
    virtual void * rootGrammar () { return (void *) this;}
    virtual int Lex() ;
    virtual PPTREE main_entry ( int error_free) ;
    virtual PPTREE primary_expression ( int error_free) ;
    virtual PPTREE prog ( int error_free) ;
    
    
    static signed char * _tokenArray [150];
    static int (metachop::*(_tokenFuncArray [150])) ();
    static int _tokenNbFuncArray [150];

    virtual int SortKeyWord (int ret);
    virtual int UpSortKeyWord (int ret); 
    virtual void InitConst ();
    
    enum constants {
        NODE_LIST =     370 ,
        NODE_TREE =     369 ,
        SPACE =     368 ,
        SEP_OMIT =  367 ,
        SEP_BEFORE =    366 ,
        SEP_AFTER =     365 ,
        AFERAFER =  364 ,
        ALINEA =    363 ,
        CHOP_DEF =  362 ,
        NIL =   361 ,
        IN_LANG =   360 ,
        NEXT =  359 ,
        DEF_IDENT =     358 ,
        BOX =   357 ,
        EXPO =  356 ,
        EXPO_AFF =  355 ,
        ETOIETOIEGAL =  354 ,
        IN =    353 ,
        PARSE =     352 ,
        NEXTL =     351 ,
        VALUE =     350 ,
        INFESUPE =  349 ,
        FOREACH =   348 ,
        INFESEPOSUPE =  347 ,
        INFESEPBSUPE =  346 ,
        INFESEPASUPE =  345 ,
        AOUVAOUV =  344 ,
        ARRO =  343 ,
        NL_BEG =    342 ,
        TAB_BEG =   341 ,
        SPACE_BEG =     340 ,
        MAKETREE_SUP =  339 ,
        MAKETREE_INF =  338 ,
        PARSE_ELEM =    337 ,
        SIMP_ETOI =     336 ,
        ETOI_ETOI =     335 ,
        BDECR =     334 ,
        BINCR =     333 ,
        ADDR =  332 ,
        NOT =   331 ,
        LNEG =  330 ,
        POS =   329 ,
        NEG =   328 ,
        PARAM_TYPE =    327 ,
        STRING_LIST =   326 ,
        LABEL =     325 ,
        THROW_ANSI =    324 ,
        ELSE =  323 ,
        TUNSIGNED =     322 ,
        TSIGNED =   321 ,
        TIDENT =    320 ,
        TFLOAT =    319 ,
        TDOUBLE =   318 ,
        RSHI =  317 ,
        LSHI =  316 ,
        LT =    315 ,
        GT =    314 ,
        GEQU =  313 ,
        LEQU =  312 ,
        SPACE_ARROW =   311 ,
        TAB_DIRECTIVE =     310 ,
        ENUM_PARAMETERS_UNDER =     309 ,
        ENUM_VERT_VALUE =   308 ,
        PROTECT_MEMB =  307 ,
        LANGUAGE =  306 ,
        EXP =   305 ,
        ADECR =     304 ,
        AINCR =     303 ,
        ARROW =     302 ,
        REF =   301 ,
        EXP_ARRAY =     300 ,
        EXP_LIST =  299 ,
        ARROW_MEMB =    298 ,
        DOT_MEMB =  297 ,
        POINETOI =  296 ,
        TIRESUPEETOI =  295 ,
        TIRESUPE =  294 ,
        SUPESUPE =  293 ,
        INFEINFE =  292 ,
        SUPEEGAL =  291 ,
        INFEEGAL =  290 ,
        NONE =  289 ,
        NEW_DECLARATOR =    288 ,
        USING_NAMESPACE =   287 ,
        NAMESPACE_ALIAS =   286 ,
        REM =   285 ,
        DIV =   284 ,
        MUL =   283 ,
        POURC =     282 ,
        MESSAGE_MAP =   281 ,
        MACRO =     280 ,
        TCHAR =     279 ,
        TSHORT =    278 ,
        TLONG =     277 ,
        TINT =  276 ,
        OR =    275 ,
        VBARVBAR =  274 ,
        AND =   273 ,
        ETCOETCO =  272 ,
        COMPOUND_EXT =  271 ,
        EXTERNAL =  270 ,
        INITIALIZER =   269 ,
        LOR =   268 ,
        VBAR =  267 ,
        FUNC =  266 ,
        STAT_VOID =     265 ,
        TEMPLATE_DECL =     264 ,
        SUPE =  263 ,
        CLASS_PARAM =   262 ,
        EXP_SEQ =   261 ,
        LXOR =  260 ,
        CHAP =  259 ,
        EXCEPTION_LIST =    258 ,
        EXCEPTION_ANSI =    257 ,
        EXCEPTION =     256 ,
        NEQU =  255 ,
        EQU =   254 ,
        EXCLEGAL =  253 ,
        EGALEGAL =  252 ,
        PRAGMA =    251 ,
        PARAMETERS =    250 ,
        FUNC_HEADER =   249 ,
        INDENT_FUNCTION_TYPE =  248 ,
        COMMENT_PLUS =  247 ,
        COMMENT_END =   246 ,
        COMMENT_MIDDLE =    245 ,
        COMMENT_START =     244 ,
        MARGIN_VALUE =  243 ,
        BRACE_ALIGN_VALUE =     242 ,
        DECL_ALIGN =    241 ,
        ASSIGN_ALIGN =  240 ,
        SINGLE_SWITCH_INDENT_VALUE =    239 ,
        SIMPLIFY_VALUE =    238 ,
        SIMPLIFY =  237 ,
        MODE_VALUE =    236 ,
        TAB_VALUE =     235 ,
        CONFIG =    234 ,
        NO_PRETTY =     233 ,
        ALINE =     232 ,
        ERROR =     231 ,
        UNDEF =     230 ,
        TYP_AFF_CALL =  229 ,
        MEMBER_DECLARATOR =     228 ,
        TYP_ARRAY =     227 ,
        CFER =  226 ,
        COUV =  225 ,
        FOR_DECLARATION =   224 ,
        DECLARATION =   223 ,
        CTOR_INITIALIZER =  222 ,
        CTOR_INIT =     221 ,
        LONGLONG =  220 ,
        IUNLONGLONG =   219 ,
        IUNLONG =   218 ,
        IUN =   217 ,
        ILONGLONG =     216 ,
        ILONG =     215 ,
        RANGE_MODIFIER =    214 ,
        COND_AFF =  213 ,
        INTE =  212 ,
        COMPOUND =  211 ,
        CLASS_DECL =    210 ,
        AFER =  209 ,
        CATCH_ANSI =    208 ,
        EXCEPT_ANSI_ALL =   207 ,
        CAST =  206 ,
        DPOI =  205 ,
        TYP_BIT =   204 ,
        PROTECT =   203 ,
        BASE_LIST =     202 ,
        XOR_AFF =   201 ,
        OR_AFF =    200 ,
        AND_AFF =   199 ,
        RSH_AFF =   198 ,
        LSH_AFF =   197 ,
        MIN_AFF =   196 ,
        PLU_AFF =   195 ,
        REM_AFF =   194 ,
        DIV_AFF =   193 ,
        MUL_AFF =   192 ,
        AFF =   191 ,
        VAR_LIST =  190 ,
        TYP_LIST =  189 ,
        TYP_AFF =   188 ,
        ABST_DECLARATOR =   187 ,
        DECLARATOR =    186 ,
        POINPOINPOIN =  185 ,
        LAND =  184 ,
        INIT_NEW =  183 ,
        VIRG =  182 ,
        QUALIFIED =     181 ,
        MINUS =     180 ,
        TYP =   179 ,
        PFER =  178 ,
        DESTRUCT =  177 ,
        TYP_REF =   176 ,
        TYP_ADDR =  175 ,
        INFE =  174 ,
        DEFAULT =   173 ,
        CASE =  172 ,
        USING =     171 ,
        NAMESPACE =     170 ,
        TYPEDEF =   169 ,
        TEMPLATE =  168 ,
        CATCH =     167 ,
        PUBLIC =    166 ,
        PROTECTED =     165 ,
        PRIVATE =   164 ,
        CHAPEGAL =  163 ,
        VBAREGAL =  162 ,
        ETCOEGAL =  161 ,
        SUPESUPEEGAL =  160 ,
        INFEINFEEGAL =  159 ,
        TIREEGAL =  158 ,
        PLUSEGAL =  157 ,
        POURCEGAL =     156 ,
        ETOIEGAL =  155 ,
        EGAL =  154 ,
        ASM =   153 ,
        VA_ARG =    152 ,
        DELETE =    151 ,
        NEW =   150 ,
        SIZEOF =    149 ,
        TIRETIRE =  148 ,
        PLUSPLUS =  147 ,
        EXCL =  146 ,
        PLUS =  145 ,
        TIRE =  144 ,
        POUV =  143 ,
        TRY =   142 ,
        THROW =     141 ,
        FORALLSONS =    140 ,
        WHILE =     139 ,
        SWITCH =    138 ,
        RETURN =    137 ,
        PVIR =  136 ,
        IF =    135 ,
        FOR =   134 ,
        AOUV =  133 ,
        DO =    132 ,
        CONTINUE =  131 ,
        BREAK =     130 ,
        OPERATOR =  129 ,
        TILD =  128 ,
        ETCO =  127 ,
        ETOI =  126 ,
        SHORT =     125 ,
        UNSIGNED =  124 ,
        SIGNED =    123 ,
        LONG =  122 ,
        DPOIDPOI =  121 ,
        VOID =  120 ,
        FLOAT =     119 ,
        CHAR =  118 ,
        INT =   117 ,
        DOUBLE =    116 ,
        CLASS =     115 ,
        UNION =     114 ,
        STRUCT =    113 ,
        ENUM =  112 ,
        CONST =     111 ,
        FRIEND =    110 ,
        VIRTUAL =   109 ,
        INLINE =    108 ,
        VOLATILE =  107 ,
        REGISTER =  106 ,
        EXTERN =    105 ,
        STATIC =    104 ,
        AUTO =  103 ,
        FUNC_SPEC =     102 ,
        TRY_UPPER =     101 ,
        END_CATCH =     100 ,
        END_CATCH_ALL =     99 ,
        AND_CATCH =     98 ,
        CATCH_UPPER =   97 ,
        CATCH_ALL =     96 ,
        END_MESSAGE_MAP =   95 ,
        BEGIN_MESSAGE_MAP =     94 ,
        DECLARE_MESSAGE_MAP =   93 ,
        IMPLEMENT_SERIAL =  92 ,
        IMPLEMENT_DYNCREATE =   91 ,
        IMPLEMENT_DYNAMIC =     90 ,
        DECLARE_SERIAL =    89 ,
        DECLARE_DYNAMIC =   88 ,
        PUSH_FUNCTION =     87 ,
        PUSH_ARGUMENT =     86 ,
        UNDEF_CONTENT =     85 ,
        SMALL_PRAGMA_CONTENT =  84 ,
        PRAGMA_CONTENT =    83 ,
        PRAGMA_ENUM_VERT =  82 ,
        PRAGMA_SPACE_ARROW =    81 ,
        PRAGMA_PARAMETERS =     80 ,
        PRAGMA_PARAMETERS_UNDER =   79 ,
        PRAGMA_FUNC_HEADER =    78 ,
        PRAGMA_INDENT_FUNCTION_TYPE =   77 ,
        PRAGMA_COMMENT_PLUS =   76 ,
        PRAGMA_COMMENT_END =    75 ,
        PRAGMA_COMMENT_MIDDLE =     74 ,
        PRAGMA_COMMENT_START =  73 ,
        PRAGMA_MARGIN =     72 ,
        PRAGMA_DECL_ALIGN =     71 ,
        PRAGMA_ASSIGN_ALIGN =   70 ,
        PRAGMA_SINGLE_SWITCH_INDENT =   69 ,
        PRAGMA_SIMPLIFY =   68 ,
        PRAGMA_BRACE_ALIGN =    67 ,
        PRAGMA_MODE =   66 ,
        PRAGMA_RANGE =  65 ,
        PRAGMA_TAB =    64 ,
        PRAGMA_TAB_DIRECTIVE =  63 ,
        PRAGMA_CONFIG =     62 ,
        PRAGMA_NOPRETTY =   61 ,
        PRAGMA_PRETTY =     60 ,
        INCLUDE_LOCAL =     59 ,
        INCLUDE_SYS =   58 ,
        END_LINE =  57 ,
        DEFINE_NAME =   56 ,
        DEFINED_NOT_CONTINUED =     55 ,
        DEFINED_CONTINUED =     54 ,
        POINT =     53 ,
        SLAS =  52 ,
        SLASEGAL =  51 ,
        CARRIAGE_RETURN =   50 ,
        UNDEF_DIR =     49 ,
        DEFINE_DIR =    48 ,
        ERROR_DIR =     47 ,
        PRAGMA_DIR =    46 ,
        LINE_DIR =  45 ,
        ENDIF_DIR =     44 ,
        ELIF_DIR =  43 ,
        ELSE_DIR =  42 ,
        IF_DIR =    41 ,
        IFNDEF_DIR =    40 ,
        IFDEF_DIR =     39 ,
        INCLUDE_DIR =   38 ,
        OCTAL =     37 ,
        UOCTAL =    36 ,
        LOCTAL =    35 ,
        ULOCTAL =   34 ,
        LLOCTAL =   33 ,
        ULLOCTAL =  32 ,
        HEXA =  31 ,
        UHEXA =     30 ,
        LHEXA =     29 ,
        LLHEXA =    28 ,
        ULLHEXA =   27 ,
        ULHEXA =    26 ,
        INTEGER =   25 ,
        FLOATVAL =  24 ,
        UINTEGER =  23 ,
        LINTEGER =  22 ,
        LLINTEGER =     21 ,
        ULLINTEGER =    20 ,
        ULINTEGER =     19 ,
        CHARACT =   18 ,
        STRING =    17 ,
        IDENT =     16 ,
        GOTO_REL =  15 ,
        GOTO =  14 ,
        STR =   13 ,
        UNMARK =    12 ,
        MARK =  11 ,
        TAB_VIRT =  10 ,
        TAB =   9 ,
        NEWLINE =   8 ,
        ATTRIBUTS =     7 ,
        PLUS____TIRETIRETIRETIRETIRETIRE____ =  6 ,
        PLACE_HOLD_CONST
    } ; 
} ; 

extern metachop * parser_metachop;

#endif
#define NODE_LIST_metachop  370
#define NODE_TREE_metachop  369
#define SPACE_metachop  368
#define SEP_OMIT_metachop   367
#define SEP_BEFORE_metachop     366
#define SEP_AFTER_metachop  365
#define AFERAFER_metachop   364
#define ALINEA_metachop     363
#define CHOP_DEF_metachop   362
#define NIL_metachop    361
#define IN_LANG_metachop    360
#define NEXT_metachop   359
#define DEF_IDENT_metachop  358
#define BOX_metachop    357
#define EXPO_metachop   356
#define EXPO_AFF_metachop   355
#define ETOIETOIEGAL_metachop   354
#define IN_metachop     353
#define PARSE_metachop  352
#define NEXTL_metachop  351
#define VALUE_metachop  350
#define INFESUPE_metachop   349
#define FOREACH_metachop    348
#define INFESEPOSUPE_metachop   347
#define INFESEPBSUPE_metachop   346
#define INFESEPASUPE_metachop   345
#define AOUVAOUV_metachop   344
#define ARRO_metachop   343
#define NL_BEG_metachop     342
#define TAB_BEG_metachop    341
#define SPACE_BEG_metachop  340
#define MAKETREE_SUP_metachop   339
#define MAKETREE_INF_metachop   338
#define PARSE_ELEM_metachop     337
#define SIMP_ETOI_metachop  336
#define ETOI_ETOI_metachop  335
#define BDECR_metachop  334
#define BINCR_metachop  333
#define ADDR_metachop   332
#define NOT_metachop    331
#define LNEG_metachop   330
#define POS_metachop    329
#define NEG_metachop    328
#define PARAM_TYPE_metachop     327
#define STRING_LIST_metachop    326
#define LABEL_metachop  325
#define THROW_ANSI_metachop     324
#define ELSE_metachop   323
#define TUNSIGNED_metachop  322
#define TSIGNED_metachop    321
#define TIDENT_metachop     320
#define TFLOAT_metachop     319
#define TDOUBLE_metachop    318
#define RSHI_metachop   317
#define LSHI_metachop   316
#define LT_metachop     315
#define GT_metachop     314
#define GEQU_metachop   313
#define LEQU_metachop   312
#define SPACE_ARROW_metachop    311
#define TAB_DIRECTIVE_metachop  310
#define ENUM_PARAMETERS_UNDER_metachop  309
#define ENUM_VERT_VALUE_metachop    308
#define PROTECT_MEMB_metachop   307
#define LANGUAGE_metachop   306
#define EXP_metachop    305
#define ADECR_metachop  304
#define AINCR_metachop  303
#define ARROW_metachop  302
#define REF_metachop    301
#define EXP_ARRAY_metachop  300
#define EXP_LIST_metachop   299
#define ARROW_MEMB_metachop     298
#define DOT_MEMB_metachop   297
#define POINETOI_metachop   296
#define TIRESUPEETOI_metachop   295
#define TIRESUPE_metachop   294
#define SUPESUPE_metachop   293
#define INFEINFE_metachop   292
#define SUPEEGAL_metachop   291
#define INFEEGAL_metachop   290
#define NONE_metachop   289
#define NEW_DECLARATOR_metachop     288
#define USING_NAMESPACE_metachop    287
#define NAMESPACE_ALIAS_metachop    286
#define REM_metachop    285
#define DIV_metachop    284
#define MUL_metachop    283
#define POURC_metachop  282
#define MESSAGE_MAP_metachop    281
#define MACRO_metachop  280
#define TCHAR_metachop  279
#define TSHORT_metachop     278
#define TLONG_metachop  277
#define TINT_metachop   276
#define OR_metachop     275
#define VBARVBAR_metachop   274
#define AND_metachop    273
#define ETCOETCO_metachop   272
#define COMPOUND_EXT_metachop   271
#define EXTERNAL_metachop   270
#define INITIALIZER_metachop    269
#define LOR_metachop    268
#define VBAR_metachop   267
#define FUNC_metachop   266
#define STAT_VOID_metachop  265
#define TEMPLATE_DECL_metachop  264
#define SUPE_metachop   263
#define CLASS_PARAM_metachop    262
#define EXP_SEQ_metachop    261
#define LXOR_metachop   260
#define CHAP_metachop   259
#define EXCEPTION_LIST_metachop     258
#define EXCEPTION_ANSI_metachop     257
#define EXCEPTION_metachop  256
#define NEQU_metachop   255
#define EQU_metachop    254
#define EXCLEGAL_metachop   253
#define EGALEGAL_metachop   252
#define PRAGMA_metachop     251
#define PARAMETERS_metachop     250
#define FUNC_HEADER_metachop    249
#define INDENT_FUNCTION_TYPE_metachop   248
#define COMMENT_PLUS_metachop   247
#define COMMENT_END_metachop    246
#define COMMENT_MIDDLE_metachop     245
#define COMMENT_START_metachop  244
#define MARGIN_VALUE_metachop   243
#define BRACE_ALIGN_VALUE_metachop  242
#define DECL_ALIGN_metachop     241
#define ASSIGN_ALIGN_metachop   240
#define SINGLE_SWITCH_INDENT_VALUE_metachop     239
#define SIMPLIFY_VALUE_metachop     238
#define SIMPLIFY_metachop   237
#define MODE_VALUE_metachop     236
#define TAB_VALUE_metachop  235
#define CONFIG_metachop     234
#define NO_PRETTY_metachop  233
#define ALINE_metachop  232
#define ERROR_metachop  231
#define UNDEF_metachop  230
#define TYP_AFF_CALL_metachop   229
#define MEMBER_DECLARATOR_metachop  228
#define TYP_ARRAY_metachop  227
#define CFER_metachop   226
#define COUV_metachop   225
#define FOR_DECLARATION_metachop    224
#define DECLARATION_metachop    223
#define CTOR_INITIALIZER_metachop   222
#define CTOR_INIT_metachop  221
#define LONGLONG_metachop   220
#define IUNLONGLONG_metachop    219
#define IUNLONG_metachop    218
#define IUN_metachop    217
#define ILONGLONG_metachop  216
#define ILONG_metachop  215
#define RANGE_MODIFIER_metachop     214
#define COND_AFF_metachop   213
#define INTE_metachop   212
#define COMPOUND_metachop   211
#define CLASS_DECL_metachop     210
#define AFER_metachop   209
#define CATCH_ANSI_metachop     208
#define EXCEPT_ANSI_ALL_metachop    207
#define CAST_metachop   206
#define DPOI_metachop   205
#define TYP_BIT_metachop    204
#define PROTECT_metachop    203
#define BASE_LIST_metachop  202
#define XOR_AFF_metachop    201
#define OR_AFF_metachop     200
#define AND_AFF_metachop    199
#define RSH_AFF_metachop    198
#define LSH_AFF_metachop    197
#define MIN_AFF_metachop    196
#define PLU_AFF_metachop    195
#define REM_AFF_metachop    194
#define DIV_AFF_metachop    193
#define MUL_AFF_metachop    192
#define AFF_metachop    191
#define VAR_LIST_metachop   190
#define TYP_LIST_metachop   189
#define TYP_AFF_metachop    188
#define ABST_DECLARATOR_metachop    187
#define DECLARATOR_metachop     186
#define POINPOINPOIN_metachop   185
#define LAND_metachop   184
#define INIT_NEW_metachop   183
#define VIRG_metachop   182
#define QUALIFIED_metachop  181
#define MINUS_metachop  180
#define TYP_metachop    179
#define PFER_metachop   178
#define DESTRUCT_metachop   177
#define TYP_REF_metachop    176
#define TYP_ADDR_metachop   175
#define INFE_metachop   174
#define DEFAULT_metachop    173
#define CASE_metachop   172
#define USING_metachop  171
#define NAMESPACE_metachop  170
#define TYPEDEF_metachop    169
#define TEMPLATE_metachop   168
#define CATCH_metachop  167
#define PUBLIC_metachop     166
#define PROTECTED_metachop  165
#define PRIVATE_metachop    164
#define CHAPEGAL_metachop   163
#define VBAREGAL_metachop   162
#define ETCOEGAL_metachop   161
#define SUPESUPEEGAL_metachop   160
#define INFEINFEEGAL_metachop   159
#define TIREEGAL_metachop   158
#define PLUSEGAL_metachop   157
#define POURCEGAL_metachop  156
#define ETOIEGAL_metachop   155
#define EGAL_metachop   154
#define ASM_metachop    153
#define VA_ARG_metachop     152
#define DELETE_metachop     151
#define NEW_metachop    150
#define SIZEOF_metachop     149
#define TIRETIRE_metachop   148
#define PLUSPLUS_metachop   147
#define EXCL_metachop   146
#define PLUS_metachop   145
#define TIRE_metachop   144
#define POUV_metachop   143
#define TRY_metachop    142
#define THROW_metachop  141
#define FORALLSONS_metachop     140
#define WHILE_metachop  139
#define SWITCH_metachop     138
#define RETURN_metachop     137
#define PVIR_metachop   136
#define IF_metachop     135
#define FOR_metachop    134
#define AOUV_metachop   133
#define DO_metachop     132
#define CONTINUE_metachop   131
#define BREAK_metachop  130
#define OPERATOR_metachop   129
#define TILD_metachop   128
#define ETCO_metachop   127
#define ETOI_metachop   126
#define SHORT_metachop  125
#define UNSIGNED_metachop   124
#define SIGNED_metachop     123
#define LONG_metachop   122
#define DPOIDPOI_metachop   121
#define VOID_metachop   120
#define FLOAT_metachop  119
#define CHAR_metachop   118
#define INT_metachop    117
#define DOUBLE_metachop     116
#define CLASS_metachop  115
#define UNION_metachop  114
#define STRUCT_metachop     113
#define ENUM_metachop   112
#define CONST_metachop  111
#define FRIEND_metachop     110
#define VIRTUAL_metachop    109
#define INLINE_metachop     108
#define VOLATILE_metachop   107
#define REGISTER_metachop   106
#define EXTERN_metachop     105
#define STATIC_metachop     104
#define AUTO_metachop   103
#define FUNC_SPEC_metachop  102
#define TRY_UPPER_metachop  101
#define END_CATCH_metachop  100
#define END_CATCH_ALL_metachop  99
#define AND_CATCH_metachop  98
#define CATCH_UPPER_metachop    97
#define CATCH_ALL_metachop  96
#define END_MESSAGE_MAP_metachop    95
#define BEGIN_MESSAGE_MAP_metachop  94
#define DECLARE_MESSAGE_MAP_metachop    93
#define IMPLEMENT_SERIAL_metachop   92
#define IMPLEMENT_DYNCREATE_metachop    91
#define IMPLEMENT_DYNAMIC_metachop  90
#define DECLARE_SERIAL_metachop     89
#define DECLARE_DYNAMIC_metachop    88
#define PUSH_FUNCTION_metachop  87
#define PUSH_ARGUMENT_metachop  86
#define UNDEF_CONTENT_metachop  85
#define SMALL_PRAGMA_CONTENT_metachop   84
#define PRAGMA_CONTENT_metachop     83
#define PRAGMA_ENUM_VERT_metachop   82
#define PRAGMA_SPACE_ARROW_metachop     81
#define PRAGMA_PARAMETERS_metachop  80
#define PRAGMA_PARAMETERS_UNDER_metachop    79
#define PRAGMA_FUNC_HEADER_metachop     78
#define PRAGMA_INDENT_FUNCTION_TYPE_metachop    77
#define PRAGMA_COMMENT_PLUS_metachop    76
#define PRAGMA_COMMENT_END_metachop     75
#define PRAGMA_COMMENT_MIDDLE_metachop  74
#define PRAGMA_COMMENT_START_metachop   73
#define PRAGMA_MARGIN_metachop  72
#define PRAGMA_DECL_ALIGN_metachop  71
#define PRAGMA_ASSIGN_ALIGN_metachop    70
#define PRAGMA_SINGLE_SWITCH_INDENT_metachop    69
#define PRAGMA_SIMPLIFY_metachop    68
#define PRAGMA_BRACE_ALIGN_metachop     67
#define PRAGMA_MODE_metachop    66
#define PRAGMA_RANGE_metachop   65
#define PRAGMA_TAB_metachop     64
#define PRAGMA_TAB_DIRECTIVE_metachop   63
#define PRAGMA_CONFIG_metachop  62
#define PRAGMA_NOPRETTY_metachop    61
#define PRAGMA_PRETTY_metachop  60
#define INCLUDE_LOCAL_metachop  59
#define INCLUDE_SYS_metachop    58
#define END_LINE_metachop   57
#define DEFINE_NAME_metachop    56
#define DEFINED_NOT_CONTINUED_metachop  55
#define DEFINED_CONTINUED_metachop  54
#define POINT_metachop  53
#define SLAS_metachop   52
#define SLASEGAL_metachop   51
#define CARRIAGE_RETURN_metachop    50
#define UNDEF_DIR_metachop  49
#define DEFINE_DIR_metachop     48
#define ERROR_DIR_metachop  47
#define PRAGMA_DIR_metachop     46
#define LINE_DIR_metachop   45
#define ENDIF_DIR_metachop  44
#define ELIF_DIR_metachop   43
#define ELSE_DIR_metachop   42
#define IF_DIR_metachop     41
#define IFNDEF_DIR_metachop     40
#define IFDEF_DIR_metachop  39
#define INCLUDE_DIR_metachop    38
#define OCTAL_metachop  37
#define UOCTAL_metachop     36
#define LOCTAL_metachop     35
#define ULOCTAL_metachop    34
#define LLOCTAL_metachop    33
#define ULLOCTAL_metachop   32
#define HEXA_metachop   31
#define UHEXA_metachop  30
#define LHEXA_metachop  29
#define LLHEXA_metachop     28
#define ULLHEXA_metachop    27
#define ULHEXA_metachop     26
#define INTEGER_metachop    25
#define FLOATVAL_metachop   24
#define UINTEGER_metachop   23
#define LINTEGER_metachop   22
#define LLINTEGER_metachop  21
#define ULLINTEGER_metachop     20
#define ULINTEGER_metachop  19
#define CHARACT_metachop    18
#define STRING_metachop     17
#define IDENT_metachop  16
#define GOTO_REL_metachop   15
#define GOTO_metachop   14
#define STR_metachop    13
#define UNMARK_metachop     12
#define MARK_metachop   11
#define TAB_VIRT_metachop   10
#define TAB_metachop    9
#define NEWLINE_metachop    8
#define ATTRIBUTS_metachop  7
#define PLUS____TIRETIRETIRETIRETIRETIRE_____metachop   6
#undef _Tak
#define _Tak(func) func 
#endif
